"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLangiumNameTestServices = exports.LangiumNameTestModule = void 0;
const langium_1 = require("langium");
const module_1 = require("./generated/module");
const langium_name_test_validator_1 = require("./langium-name-test-validator");
/**
 * Dependency injection module that overrides Langium default services and contributes the
 * declared custom services. The Langium defaults can be partially specified to override only
 * selected services, while the custom services must be fully specified.
 */
exports.LangiumNameTestModule = {
    validation: {
        ValidationRegistry: (injector) => new langium_name_test_validator_1.LangiumNameTestValidationRegistry(injector),
        LangiumNameTestValidator: () => new langium_name_test_validator_1.LangiumNameTestValidator()
    }
};
/**
 * Inject the full set of language services by merging three modules:
 *  - Langium default services
 *  - Services generated by langium-cli
 *  - Services specified in this file
 */
function createLangiumNameTestServices(context) {
    return (0, langium_1.inject)((0, langium_1.createDefaultModule)(context), module_1.LangiumNameTestGeneratedModule, exports.LangiumNameTestModule);
}
exports.createLangiumNameTestServices = createLangiumNameTestServices;
//# sourceMappingURL=langium-name-test-module.js.map